LinkGUIList (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkGUIList

    java.lang.Object
      com.bbn.openmap.layer.link.LinkGUIList

    public class LinkGUIList

extends java.lang.Object

Uhhh, unimplemented so far. Big plans, though. Widgets don't get set yet.

Field Summary
`protected static float` | `version` Version Number of request format.

Constructor Summary
`LinkGUIList(Link link)` Write a gui section to the link.

Method Summary
`void` | `end(java.lang.String endType)` The server method that needs to be called at the end of sending a gui response.
`javax.swing.JComponent` | `getGUI()`
`java.lang.String` | `getLinkStatus()` After reading the graphics response, this returns the section ending string terminating the graphics section, either Link.END_TOTAL or Link.END_SECTION.
`protected java.lang.String` | `readWidgets()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected static float version

  Version Number of request format.

Constructor Detail

### LinkGUIList

    public LinkGUIList(Link link)
                throws java.io.IOException

  Write a gui section to the link.

  Throws:
    `java.io.IOException`

Method Detail

### getGUI

    public javax.swing.JComponent getGUI()

### getLinkStatus

    public java.lang.String getLinkStatus()

  After reading the graphics response, this returns the section ending string terminating the graphics section, either Link.END_TOTAL or Link.END_SECTION.

  Returns:
    either Link.END_TOTAL or Link.END_SECTION.

### end

    public void end(java.lang.String endType)
             throws java.io.IOException

  The server method that needs to be called at the end of sending a gui response. This will tell the link what type of teminator to put on the end of the graphics response section, and also tell the link to fluxh the output stream..

  Parameters:
    `endType` - use Link.END_SECTION if you want to add more types of response sections. Use Link.END_TOTAL at the end of the total transmission.
  Throws:
    `java.io.IOException`

### readWidgets

    protected java.lang.String readWidgets()
                                    throws java.io.IOException,
                                           java.io.EOFException

  Throws:
    `java.io.IOException`
    `java.io.EOFException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details